FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Upgrade to 3.0.4
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Upgrade to 3.0.4 [message #167123] Tue, 01 May 2012 12:02 Go to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
I'm unable to run the consistancy checker after upgrade to 3.0.4
I've tried re-running the upgrade script many times but to no avail.

Any ideas?

Also, where is the PM function?

Pips.

Re: Upgrade to 3.0.4 [message #167124 is a reply to message #167123] Tue, 01 May 2012 12:28 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Log from the upgrade process:

Quote:
Warning: is_dir(): open_basedir restriction in effect. File(/vhosts/nomad-forum.com/httpdocs/fudforum/data/thm/.htaccess/i18n/) is not within the allowed path(s): (/vhosts/nomad-forum.com:/tmp) in /vhosts/nomad-forum.com/httpdocs/fudforum/upgrade.php on line 840 GLOBALS.php already upgraded.
Beginning the file upgrade process.
Beginning to decompress the archive.
Finished decompressing the archive.
File Upgrade Complete.
Re: Upgrade to 3.0.4 [message #167125 is a reply to message #167124] Tue, 01 May 2012 12:46 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3681
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
It doesn't look FUDforum related. Google for "open_basedir restriction in effect" and adjust your PHP settings accordingly.
Re: Upgrade to 3.0.4 [message #167126 is a reply to message #167125] Tue, 01 May 2012 14:22 Go to previous messageGo to next message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Dear Mr/Mrs,

I would like to inform you.

This is a restriction of PHP. We do not change restrictions on our
webhosting platform. If you want to run this software you have to
upgrade to a VPS or dedicated server.

Kind regards,

Sinan Polat


************


The above is a respnce from our
hosts Confused
Re: Upgrade to 3.0.4 [message #167127 is a reply to message #167126] Tue, 01 May 2012 15:32 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3681
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
That's a bit drastic! I will be able to prep a fix, but for now you can safely ignore it, as it's only a warning.
Re: Upgrade to 3.0.4 [message #167128 is a reply to message #167127] Tue, 01 May 2012 17:03 Go to previous messageGo to next message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
naudefj wrote on Tue, 01 May 2012 20:32
That's a bit drastic! I will be able to prep a fix, but for now you can safely ignore it, as it's only a warning.



Thanks so much, Frank.

I'll wait for the patch: instead of messing with the panel, , as I don't want to annoy the hosts anymore than we normally do Very Happy

If you can't patch it, is it possible to roll back to 3.0.3?


Many thanks as always...

Re: Upgrade to 3.0.4 [message #167129 is a reply to message #167128] Wed, 02 May 2012 02:05 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3681
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
No, you cannot roll back. You will have to restore the backup you've taken prior to the upgrade. Although, you will get this warning with all versions of FUDforum.

BTW, do you only get this when running the upgrade script?
Re: Upgrade to 3.0.4 [message #167133 is a reply to message #167129] Wed, 02 May 2012 03:22 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
naudefj wrote on Wed, 02 May 2012 07:05
No, you cannot roll back. You will have to restore the backup you've taken prior to the upgrade. Although, you will get this warning with all versions of FUDforum.

BTW, do you only get this when running the upgrade script?

We've only ever got this warning with this version (3.0.4)

Currently, we are unable to finish the install and run the checker, thus our forum is in a little bit of a mess until we run the patch.

Going down the DIY route and hacking the perms on the panel is way out of our league, hence we asked the hosts for temporary permision and hence they have (currently) refused.

So, no roll back is possible then? Oh well..... Laughing
Re: Upgrade to 3.0.4 [message #167134 is a reply to message #167133] Wed, 02 May 2012 05:54 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Further updates from the Host:

Quote:
Hello,

The problem looks to be in the file that the script is trying to open.

The path '/vhosts/nomad-forum.com/httpdocs/fudforum/data/thm/.htaccess/i18n/'
does not exist as '/vhosts/nomad-forum.com/httpdocs/fudforum/data/thm/.htaccess'
is a file and not a folder.


I've checked and indeed, the hosts are correct, it is a file, not a folder?
Re: Upgrade to 3.0.4 [message #167138 is a reply to message #167134] Wed, 02 May 2012 10:30 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3681
Registered: December 2004
Karma: 19
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
The code will issue a warning and move on. This is definitely not the reason why it's not working!
Re: Upgrade to 3.0.4 [message #167139 is a reply to message #167138] Wed, 02 May 2012 10:37 Go to previous messageGo to next message
pips is currently offline  pips   Ireland
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Fair enough, i assume you are saying that by rights, we should be able to run the forum, irrespective of the warning above?


I think the only thing left then, is to uninstal the forum and re-load it from scratch, and reload the back-ups?

eek.
Re: Upgrade to 3.0.4 [message #167148 is a reply to message #167139] Fri, 04 May 2012 09:54 Go to previous message
pips is currently offline  pips
Messages: 113
Registered: February 2012
Karma: 0
Senior Member
add to buddy list
ignore all messages by this user
Well, 3.0.4 killed our forum completely Sad

So we have a brand spanking shiny new installation of 3.0.3

By me :smug:

Without help :smuf:
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: Running upgrade file from FTP?
Next Topic: console install
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Thu Oct 18 03:18:18 EDT 2018

Total time taken to generate the page: 0.00719 seconds